Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 559276

Summary: x11-drivers/nvidia-drivers-355.06-r1 fails to build on sys-kernel/gentoo-sources-4.2.0
Product: Gentoo Linux Reporter: Guillaume Lespinasse <the.telvanni>
Component: [OLD] Core systemAssignee: Gentoo Linux bug wranglers <bug-wranglers>
Status: RESOLVED FIXED    
Severity: major CC: mark+gentoobugs
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Guillaume Lespinasse 2015-08-31 21:20:02 UTC
The 4.2 kernel has made flush_workqueue() GPL-only, which possibly affects every version of the nvidia-drivers package and causes the following compile error:

FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'flush_workqueue'

A patch has already been applied for 4.3 according to this discussion: https://lkml.org/lkml/2015/8/4/802

Here is the build.log http://pastebin.com/hwexnZAP 

Reproducible: Always
Comment 1 Nikolaos Chatzidakis 2015-09-01 09:32:57 UTC
Same problem here on ~amd64.
Comment 2 Mike Pagano gentoo-dev 2015-09-02 17:10:07 UTC
gentoo-sources-4.2.0-r1 contains this patch. Please wait a few hours (as of this writing) for the genpatches and ebuild to hit your mirrors.
Comment 3 Mark Jacobson 2015-09-02 21:49:17 UTC
Latest patch confirmed fixed, built just fine for me.
Comment 4 Nikolaos Chatzidakis 2015-09-04 20:05:21 UTC
Problem solved for me too with gentoo-sources-4.2.0-r1.